Bug 1279642 - Packstack run fails when running with DEMO
Packstack run fails when running with DEMO
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Martin Magr
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 17:45 EST by Adam Young
Modified: 2016-05-19 11:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:42:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Young 2015-11-09 17:45:58 EST
Description of problem:
Packstack fails if demo is enabled

Version-Release number of selected component (if applicable):
Mitaka (nightly)


How reproducible:
100%

Steps to Reproduce:
1. install openstackpack  baseurl=http://trunk.rdoproject.org/centos7/48/43/484341c5abdd62ed257f4c395839d20f08b30d95_8e5149bb
2. generate answers file with demo (default)

CONFIG_PROVISION_DEMO=y

3. runpackstack.

Actual results:
[0;31mERROR : Error appeared during Puppet run: 10.10.10.61_provision_glance
Error: /Stage[main]/Main/Glance_image[cirros]: Could not evaluate: Execution of '/usr/bin/openstack image set cirros' returned 1: No image with a name or ID of 'cirros' exists.[0m



Expected results:
Run to completion

Additional info:

Setting 

CONFIG_PROVISION_DEMO=n

in answer files allows packstack to complete
Comment 2 Chandan Kumar 2016-05-19 11:42:54 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.